<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:id="MEAS_PMOS">
    <refnamediv>
        <refname>MEAS_PMOS</refname>
        <refpurpose>MEAS_PMOS Coselica block</refpurpose>
    </refnamediv>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../images/gif/MEAS_PMOS.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
    </refsection>
    <refsection id="Description_MEAS_PMOS">
        <title>Description</title>
        <para>
            Simple MOS Transistor
        </para>
    </refsection>
    <refsection id="Palette_MEAS_PMOS">
        <title>Palette</title>
        <itemizedlist>
            <listitem>
                <para>
                    <link linkend="Electrical_pal">Electrical - Coselica toolbox</link>
                </para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../images/gui/MEAS_PMOS_gui.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">W [m] : Width</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0.00002</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">L [m] : Length</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0.000006</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Beta [A/(V*V)] : Transconductance parameter</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0.0000105</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Vt [V] : Zero bias threshold voltage</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : -1</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">K2 [-] : Bulk threshold parameter</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0.41</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">K5 [-] : Reduction of pinch-off region</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0.839</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">dW [m] : Narrowing of channel</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : -0.0000025</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">dL [m] : Shortening of channel</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : -0.0000021</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">RDS [Ohm] : Drain-Source-Resistance</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 10000000</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Defaultproperties_MEAS_PMOS">
        <title>Block Model / Default properties</title>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">Inputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'G'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Electrical type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Outputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'D'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Electrical type).
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'B'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Electrical type).
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'S'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Electrical type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Parameters :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'W'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0.00002
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'L'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0.000006
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Beta'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0.0000105
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Vt'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> -1
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'K2'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0.41
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'K5'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0.839
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'dW'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> -0.0000025
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'dL'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> -0.0000021
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'RDS'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 10000000
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Interfacingfunction_MEAS_PMOS">
        <title>Interfacing function</title>
        <itemizedlist>
            <listitem>
                <para>MEAS_PMOS.sci</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Modelicamodel_MEAS_PMOS">
        <title>Modelica model</title>
        <itemizedlist>
            <listitem>
                <para>Modelica.Electrical.Analog.Semiconductors.PMOS in COSELICA/macros/Coselica.mo file</para>
            </listitem>
        </itemizedlist>
    </refsection>
</refentry>
